#!/bin/bash
echo 'normal ubuntu 18.04 install, no third party'
echo 'July 2023'
echo 'docker password: arrow'
sudo apt -y install git
sudo apt -y install gnupg2 pass gpg
sudo apt-get -y update
sudo apt -y upgrade
sudo apt-get -y install ca-certificates curl gnupg
sudo install -m 0755 -d /etc/apt/keyrings
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo gpg --dearmor -o /etc/apt/keyrings/docker.gpg
sudo chmod a+r /etc/apt/keyrings/docker.gpg
echo \
  "deb [arch="$(dpkg --print-architecture)" signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/ubuntu \
  "$(. /etc/os-release && echo "$UBUNTU_CODENAME")" stable" | \
  sudo tee /etc/apt/sources.list.d/docker.list > /dev/null  
sudo apt-get -y update
sudo apt -y upgrade
sudo apt-get -y install docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin
sudo apt-get -y install docker-compose
git clone https://git.spirirobotics.com/scorpio1/PX4Docker
cd PX4Docker && sudo docker compose up --build